Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.csw.capabilities
Class CatalogueCapabilities

    java.lang.Object
      org.deegree.ogcwebservices.getcapabilities.OGCCapabilities
          org.deegree.owscommon.OWSCommonCapabilities
              org.deegree.ogcwebservices.csw.capabilities.CatalogueCapabilities

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  CatalogueConfiguration

    public class CatalogueCapabilities

extends OWSCommonCapabilities

Represents the capabilities for an OGC-CSW 2.0.0 compliant service instance.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider , last edited by: $Author: mschneider $
See Also:
  Serialized Form

Constructor Summary
`CatalogueCapabilities(String version, String updateSequence, ServiceIdentification serviceIdentification, ServiceProvider serviceProvider, OperationsMetadata operationsMetadata, Contents contents, FilterCapabilities filterCapabilities)` Generates a new CatalogCapabilities instance from the given parameters.
`CatalogueCapabilities(String version, String updateSequence, ServiceIdentification serviceIdentification, ServiceProvider serviceProvider, OperationsMetadata operationsMetadata, Contents contents, FilterCapabilities filterCapabilities, EBRIMCapabilities ebrimCaps)` Generates a new CatalogCapabilities instance from the given parameters.

Method Summary
`static OGCCapabilities` | `createCapabilities(URL url)` Creates catalog capabilities from a URL.
`EBRIMCapabilities` | `getEbrimCaps()`
`FilterCapabilities` | `getFilterCapabilities()` Returns the FilterCapabilites section of the capabilities.

Methods inherited from class org.deegree.owscommon.OWSCommonCapabilities
`getContents, getOperationsMetadata, getServiceIdentification, getServiceProvider, setContents, setOperationsMetadata, setServiceIdentification, setServiceProvider`

Methods inherited from class org.deegree.ogcwebservices.getcapabilities.OGCCapabilities
`getUpdateSequence, getVersion, setUpdateSequence, setVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CatalogueCapabilities

    public CatalogueCapabilities(String version,
                                 String updateSequence,
                                 ServiceIdentification serviceIdentification,
                                 ServiceProvider serviceProvider,
                                 OperationsMetadata operationsMetadata,
                                 Contents contents,
                                 FilterCapabilities filterCapabilities)

  Generates a new CatalogCapabilities instance from the given parameters.

  Parameters:
    `version` -
    `updateSequence` -
    `serviceIdentification` -
    `serviceProvider` -
    `operationsMetadata` -
    `contents` -
    `filterCapabilities` -

### CatalogueCapabilities

    public CatalogueCapabilities(String version,
                                 String updateSequence,
                                 ServiceIdentification serviceIdentification,
                                 ServiceProvider serviceProvider,
                                 OperationsMetadata operationsMetadata,
                                 Contents contents,
                                 FilterCapabilities filterCapabilities,
                                 EBRIMCapabilities ebrimCaps)

  Generates a new CatalogCapabilities instance from the given parameters.

  Parameters:
    `version` -
    `updateSequence` -
    `serviceIdentification` -
    `serviceProvider` -
    `operationsMetadata` -
    `contents` -
    `filterCapabilities` -
    `ebrimCaps` - the specified ebrim extensions

Method Detail

### createCapabilities

    public static OGCCapabilities createCapabilities(URL url)
                                              throws IOException,
                                                     SAXException,
                                                     InvalidCapabilitiesException

  Creates catalog capabilities from a URL.

  Parameters:
    `url` - location of the capabilities file
  Returns:
    catalog capabilities
  Throws:
    `IOException`
    `SAXException`
    `InvalidCapabilitiesException`

### getFilterCapabilities

    public FilterCapabilities getFilterCapabilities()

  Returns the FilterCapabilites section of the capabilities.

  Returns:
    the FilterCapabilites section of the capabilities

### getEbrimCaps

    public EBRIMCapabilities getEbrimCaps()

  Returns:
    the ebrimCaps specified by the ogc ebrim-extension.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org